#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 10. Graphics and Font Libraries

- Prev

  harfBuzz-10.4.0

- Next

  Little CMS-2.17

- Up
- Home

# jasper-4.2.4

## Introduction to jasper

The jasper Project is an open-source initiative to provide a free software-based reference implementation of the JPEG-2000 codec.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://github.com/jasper-software/jasper/archive/version-4.2.4/jasper-version-4.2.4.tar.gz

- Download MD5 sum: aa4df693b90223fe6848b34cf1208624

- Download size: 1.9 MB

- Estimated disk space required: 9.4 MB (with tests)

- Estimated build time: 0.3 SBU (with tests)

### jasper Dependencies

#### Required

CMake-3.31.5

#### Recommended

libjpeg-turbo-3.0.1

#### Optional

Freeglut-3.6.0 (required for jiv), Doxygen-1.13.2 (needed for generating html documentation), and texlive-20240312 (needed to regenerate the pdf documentation)

## Installation of jasper

Install jasper by running the following commands:

    mkdir BUILD &&
    cd    BUILD &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr    \
          -D CMAKE_BUILD_TYPE=Release     \
          -D CMAKE_SKIP_INSTALL_RPATH=ON  \
          -D JAS_ENABLE_DOC=NO            \
          -D ALLOW_IN_SOURCE_BUILD=YES    \
          -D CMAKE_INSTALL_DOCDIR=/usr/share/doc/jasper-4.2.4 \
          ..  &&
    make

To test the results, issue: make test.

Now, as the `root` user:

    make install

## Command Explanations

`-D CMAKE_SKIP_INSTALL_RPATH=ON`: This switch makes cmake remove hardcoded library search paths (rpath) when installing a binary executable file or a shared library. This package does not need rpath once it's installed into the standard location, and rpath may sometimes cause unwanted effects or even security issues.

`-D JAS_ENABLE_DOC=NO`: This option disables rebuilding the pdf documentation if texlive-20240312 is installed.

`-D ALLOW_IN_SOURCE_BUILD=YES`: This switch allows building from within the source tree. In our case, this is needed to allow us to build inside of the BUILD directory instead of needing to create another directory outside of the source tree.

## Contents

Installed Programs: imgcmp, imginfo, jasper, and jiv
Installed Library: libjasper.so
Installed Directories: /usr/include/jasper and /usr/share/doc/jasper-4.2.4

### Short Descriptions

imgcmp | compares two images of the same geometry
imginfo | displays information about an image
jasper | converts images between formats (BMP, JPS, JPC, JPG, PGX, PNM, MIF, and RAS)
jiv | displays images
`libjasper.so` | is a library used by programs for reading and writing JPEG2000 format files

- Prev

  harfBuzz-10.4.0

- Next

  Little CMS-2.17

- Up
- Home